<?php
namespace WTC_CHECKOUT\Core\General;
defined('ABSPATH') || exit;
class CurrencyService {
    public function __construct() {
        add_filter('woocommerce_currency_symbol', array($this, 'change_currency_symbol'), 10, 2);
    }
    public function change_currency_symbol($symbol, $currency) {
        if ($currency === 'TRY') {
            $use_tl_symbol = get_option('wtc_use_tl_symbol', false);
            if ($use_tl_symbol) {
                return 'TL';
            }
        }
        return $symbol;
    }
} 